% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/FitMultipleDynamicGrowth_class.R
\name{FitMultipleDynamicGrowth}
\alias{FitMultipleDynamicGrowth}
\alias{plot.FitMultipleDynamicGrowth}
\alias{summary.FitMultipleDynamicGrowth}
\alias{residuals.FitMultipleDynamicGrowth}
\alias{coef.FitMultipleDynamicGrowth}
\alias{vcov.FitMultipleDynamicGrowth}
\alias{deviance.FitMultipleDynamicGrowth}
\alias{fitted.FitMultipleDynamicGrowth}
\alias{predict.FitMultipleDynamicGrowth}
\title{FitMultipleDynamicGrowth class}
\usage{
\method{plot}{FitMultipleDynamicGrowth}(
  x,
  y = NULL,
  ...,
  add_factor = NULL,
  ylims = NULL,
  label_x = "time",
  label_y1 = "logN",
  label_y2 = add_factor,
  line_col = "black",
  line_size = 1,
  line_type = "solid",
  line_col2 = "black",
  line_size2 = 1,
  line_type2 = "dashed",
  point_size = 3,
  point_shape = 16,
  subplot_labels = "AUTO"
)

\method{summary}{FitMultipleDynamicGrowth}(object, ...)

\method{residuals}{FitMultipleDynamicGrowth}(object, ...)

\method{coef}{FitMultipleDynamicGrowth}(object, ...)

\method{vcov}{FitMultipleDynamicGrowth}(object, ...)

\method{deviance}{FitMultipleDynamicGrowth}(object, ...)

\method{fitted}{FitMultipleDynamicGrowth}(object, ...)

\method{predict}{FitMultipleDynamicGrowth}(object, newdata = NULL, ...)
}
\arguments{
\item{x}{an instance of FitMultipleDynamicGrowth.}

\item{y}{ignored}

\item{...}{ignored}

\item{add_factor}{whether to plot also one environmental factor.
If \code{NULL} (default), no environmental factor is plotted. If set
to one character string that matches one entry of x$env_conditions,
that condition is plotted in the secondary axis}

\item{ylims}{A two dimensional vector with the limits of the primary y-axis.}

\item{label_x}{label of the x-axis}

\item{label_y1}{Label of the primary y-axis.}

\item{label_y2}{Label of the secondary y-axis.}

\item{line_col}{Aesthetic parameter to change the colour of the line geom in the plot, see: \code{\link{geom_line}}}

\item{line_size}{Aesthetic parameter to change the thickness of the line geom in the plot, see: \code{\link{geom_line}}}

\item{line_type}{Aesthetic parameter to change the type of the line geom in the plot, takes numbers (1-6) or strings ("solid") see: \code{\link{geom_line}}}

\item{line_col2}{Same as lin_col, but for the environmental factor.}

\item{line_size2}{Same as line_size, but for the environmental factor.}

\item{line_type2}{Same as lin_type, but for the environmental factor.}

\item{point_size}{Size of the data points}

\item{point_shape}{shape of the data points}

\item{subplot_labels}{labels of the subplots according to \code{plot_grid}.}

\item{object}{Instance of \code{FitMultipleDynamicGrowth}.}

\item{newdata}{a tibble describing the environmental conditions (as \code{env_conditions})
in \code{\link{fit_multiple_growth}}. 
If \code{NULL} (default), uses the same conditions as those for fitting.}
}
\description{
The \code{FitMultipleDynamicGrowth} class contains a model fitted to a set
of experiments gathered under dynamic conditions. Its constructor is 
\code{\link{fit_multiple_growth}}.

It is a subclass of list with the items:
     \itemize{
         \item fit_results: the object returned by \code{modFit}.
         \item best_prediction: a list with the models predictions for each condition.
         \item data: a list with the data used for the fit.
         \item starting: starting values for model fitting
         \item known: parameter values set as known.
         \item sec_models: a named vector with the secondary model
         for each environmental factor.
         }
}
\section{Functions}{
\itemize{
\item \code{plot.FitMultipleDynamicGrowth}: comparison between the fitted model and
the experimental data.

\item \code{summary.FitMultipleDynamicGrowth}: statistical summary of the fit.

\item \code{residuals.FitMultipleDynamicGrowth}: calculates the model residuals. Returns a 
tibble with 4 columns: time (storage time), logN (observed count),
exp (name of the experiment) and res (residual).

\item \code{coef.FitMultipleDynamicGrowth}: vector of fitted parameters.

\item \code{vcov.FitMultipleDynamicGrowth}: (unscaled) variance-covariance matrix, 
estimated as 1/(0.5*Hessian).

\item \code{deviance.FitMultipleDynamicGrowth}: deviance of the model.

\item \code{fitted.FitMultipleDynamicGrowth}: fitted values. They are returned as a
tibble with 3 columns: time (storage time), exp (experiment 
identifier) and fitted (fitted value).

\item \code{predict.FitMultipleDynamicGrowth}: model predictions. They are returned as 
a tibble with 3 columns: time (storage time), logN (observed count),
and exp (name of the experiment).
}}

